Summary:        FCITX Input Method Engine for SCIM
Name:           scim-fcitx
Version:        3.1.1
Release:        2%{?dist}
License:        GPL
Group:          System Environment/Libraries
URL:            http://www.fcitx.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

Source0:        %{name}.%{version}.tar.bz2

BuildRequires:  scim-devel

%description
scim-fcitx is the fcitx chinese input method ported to the scim input method platform

%changelog
* Mon Jun 20 2005 Jens Petersen <petersen@redhat.com> - 3.1.1-2
- rebuild against scim-1.3.1

* Tue Jun 14 2005 Jens Petersen <petersen@redhat.com> - 3.1.1-1
- initial build

* Thu May  5 2005 Haojun Bao <baohaojun@yahoo.com>
- first release of scim-fcitx.


%prep

%setup -q -n fcitx

%build
%configure --disable-static

make 

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

#rm $RPM_BUILD_ROOT/%{_libdir}/scim-1.0/IMEngine/fcitx.{a,la}
rm $RPM_BUILD_ROOT/%{_bindir}/*

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/scim-1.0
%{_datadir}/scim
